package com.bonus.canteen.core.nutrition.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.bonus.canteen.core.nutrition.common.vo.HealthCustMedicalReportProjectVO;

import java.time.LocalDate;
import java.util.List;

@ApiModel("编辑人员体检报告")
public class HealthCustMedicalReportEditDTO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("体检id")
   private Long medicalId;
   @ApiModelProperty("体检日期")
   private LocalDate medicalDate;
   @ApiModelProperty("体检机构")
   private String medicalMechanism;
   @ApiModelProperty("体检模板id")
   private Long medicalTemplateId;
   @ApiModelProperty("体检报告项目")
   private List<HealthCustMedicalReportProjectVO> reportProjectVOS;

   public Long getCustId() {
      return this.custId;
   }

   public Long getMedicalId() {
      return this.medicalId;
   }

   public LocalDate getMedicalDate() {
      return this.medicalDate;
   }

   public String getMedicalMechanism() {
      return this.medicalMechanism;
   }

   public Long getMedicalTemplateId() {
      return this.medicalTemplateId;
   }

   public List<HealthCustMedicalReportProjectVO> getReportProjectVOS() {
      return this.reportProjectVOS;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setMedicalId(final Long medicalId) {
      this.medicalId = medicalId;
   }

   public void setMedicalDate(final LocalDate medicalDate) {
      this.medicalDate = medicalDate;
   }

   public void setMedicalMechanism(final String medicalMechanism) {
      this.medicalMechanism = medicalMechanism;
   }

   public void setMedicalTemplateId(final Long medicalTemplateId) {
      this.medicalTemplateId = medicalTemplateId;
   }

   public void setReportProjectVOS(final List<HealthCustMedicalReportProjectVO> reportProjectVOS) {
      this.reportProjectVOS = reportProjectVOS;
   }

   public String toString() {
      Long var10000 = this.getCustId();
      return "HealthCustMedicalReportEditDTO(custId=" + var10000 + ", medicalId=" + this.getMedicalId() + ", medicalDate=" + String.valueOf(this.getMedicalDate()) + ", medicalMechanism=" + this.getMedicalMechanism() + ", medicalTemplateId=" + this.getMedicalTemplateId() + ", reportProjectVOS=" + String.valueOf(this.getReportProjectVOS()) + ")";
   }
}
